# <3 default editor (za manjse urejanje)
export EDITOR="vim"
export VISUAL="vim"

# Nek Java fix?
export NLS_LANG=American_America.UTF8

# Guile Zadeve
export GUILE_WARN_DEPRECATED="detailed"

# PhantomJS binary location
export PHANTOMJS_BIN=/usr/bin/phantomjs

# emacspeak speech server
export DTK_PROGRAM=espeak

# Rust paketi
export PATH="$HOME/.local/bin:$HOME/.cargo/bin:$PATH"

# User bin
export PATH="$HOME/bin:$PATH"
 
# Firefox webrender
export MOZ_WEBRENDER=1

# Wayland pls!
export KITTY_ENABLE_WAYLAND=1
export MOZ_ENABLE_WAYLAND=1
#export XDG_SESSION_TYPE=wayland

# Tole bojda ni dobra ideja (pravi wiki!)
#export GDK_BACKEND=wayland

# QT nastavitve
#export QT_QPA_PLATFORMTHEME="qt5ct"
# GTK izgled: sudo apt install qt5-style-plugins
export QT_QPA_PLATFORMTHEME=gtk
export QT_FONT_DPI=95

export _JAVA_OPTIONS="-Dawt.useSystemAAFontSettings=lcd -Dswing.defaultlaf=com.sun.java.swing.plaf.gtk.GTKLookAndFeel $_JAVA_OPTIONS" 
export JAVA_FONTS="/usr/share/fonts/TTF"
#export QT_QPA_PLATFORM=wayland-egl
export QT_WAYLAND_FORCE_DPI=physical
export QT_WAYLAND_DISABLE_WINDOWDECORATION=1
export _JAVA_AWT_WM_NONREPARENTING=1

# Guile
export GUILE_LOAD_COMPILED_PATH="/usr/local/lib/guile/3.0/ccache:/usr/local/lib/guile/3.0/site-ccache"
export GUILE_SITE_DIR="$HOME/.local/guile/site_dir"

# (FULL)Screen share
export XDG_CURRENT_DESKTOP=sway

# Guix
export GUIX_LOCPATH="$HOME/.guix-profile/lib/locale"
export GUIX_PROFILE="$HOME/.guix-profile"
export XDG_DATA_DIRS="/usr/local/share:/usr/share:$XDG_DATA_DIRS"
export XDG_DATA_DIRS="${GUIX_PROFILE}/share${XDG_DATA_DIRS:+:}$XDG_DATA_DIRS"
export GUIX_PACKAGE_PATH="$HOME/projekti/guix-paketi"
export PATH="$HOME/.config/guix/current/bin:$PATH"
. "$GUIX_PROFILE/etc/profile"

# Loadamo sway na tty1!
# If running from tty1 start sway
#if [ "$(tty)" = "/dev/tty1" ]; then
#	QT_QPA_PLATFORM=wayland-egl SDL_VIDEODRIVER=wayland exec sway
#fi
